/* 
 * File:   battery.c
 * Author:   Jun Okamoto Jr.
 * Date:     9/02/2016
 * Comments: Faz leitura no nvel da bateria do rob
 * Revision history: 
 */

// This is a guard condition so that contents of this file are not included
// more than once.  
#ifndef BATTERY_C
#define	BATTERY_C

#include "battery.h"
#include "spi.h"

///
/// Inicializa leitura de nvel de bateria.
///
void battery_init() {
  // Supondo que o SPI j foi incializado, no h nada para fazer,
  //  s ler o nvel da bateira direto, seno o SPI deve ser incializado aqui.
  // TODO: achar um jeito de saber se o SPI est inicializado e se no estiver, inicializar SPI
//  spi_init(); 
}

///
/// Faz a leitura do nvel da bateria
/// @return: nvel da bateria
///
uint8_t battery_level() {
  uint8_t level;       // nvel a bateria
  spi_write(0x80);  // envia comando para leitura do nvel de bateria pelo SPI
  level = spi_read();  // envia 0x00 para ler um byte e recebe nvel
  return level; // retorna o nvel da bateria
}

#endif
