/* 
 * File:     robolab2.c
 * Author:   Jun Okamoto Jr.
 * Date:     23/08/2016
 * Comments: inicializa todos os perifricos do rob
 * Revision history: 
 */

#ifndef ROBOLAB2_C
#define	ROBOLAB2_C

#include "spi.h"
#include "battery.h"
#include "lcd8x2.h"
#include "led_rgb.h"
#include "compass.h"
#include "always.h"

/// Inicilia todos os perifricos do rob.
/// A inicializao do SPI deve vir primeiro pois outros dependem dela.
void robolab2_init() {
  spi_init();      // inicializa spi para uso em perifricos
  battery_init();  // inicializa leitura de bateria
  lcd_init();      // inicializa lcd
  led_rgb_init();  // inicializa LED RGB
  compass_init();  // inicializa bssola
}

#endif	/* ROBOLAB2_C */